Package org.sqlite.util

## Class LoggerFactory

- java.lang.Object
- - org.sqlite.util.LoggerFactory

    public class LoggerFactory
    extends Object

A factory for `Logger` instances that uses SLF4J if present, falling back on a java.util.logging implementation otherwise.

### Constructor Summary

Constructors
`LoggerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger​(Class<?> hostClass)` Get a `Logger` instance for the given host class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerFactory

    public LoggerFactory()

### Method Detail

#### getLogger

    public static Logger getLogger​(Class<?> hostClass)

Get a `Logger` instance for the given host class.

Parameters:
  `hostClass` - the host class from which log messages will be issued
Returns:
  a Logger